Bug 1270555 - [abrt] audacity: SpectrumAnalyst::GetProcessedValue(): audacity killed by SIGSEGV
[abrt] audacity: SpectrumAnalyst::GetProcessedValue(): audacity killed by SIG...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:213bbaec4b6b99dc246531e54bd...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 01:00 EDT by Ludek Bartek
Modified: 2015-12-22 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: audacity-2.1.2-0.7.rc1.fc22 audacity-2.1.2-0.7.rc1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 04:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.29 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: cgroup (191 bytes, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: core_backtrace (16.15 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: dso_list (14.99 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: environ (1.74 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: maps (77.68 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: open_fds (1.10 KB, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-10-11 01:01 EDT, Ludek Bartek
no flags Details

  None (edit)
Description Ludek Bartek 2015-10-11 01:00:58 EDT
Version-Release number of selected component:
audacity-2.1.1-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        audacity
crash_function: SpectrumAnalyst::GetProcessedValue
executable:     /usr/bin/audacity
kernel:         4.1.8-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            11504

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SpectrumAnalyst::GetProcessedValue at FreqWindow.cpp:1498
 #1 FreqWindow::PlotPaint at FreqWindow.cpp:924
 #2 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239
 #3 wxEventHashTable::HandleEvent at src/common/event.cpp:906
 #4 wxEvtHandler::ProcessEvent at src/common/event.cpp:1301
 #5 wxWindow::GtkSendPaintEvents at src/gtk/window.cpp:3881
 #6 gtk_window_expose_callback at src/gtk/window.cpp:543
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_send_expose at gtkwidget.c:4846
Comment 1 Ludek Bartek 2015-10-11 01:01:03 EDT
Created attachment 1081750 [details]
File: backtrace
Comment 2 Ludek Bartek 2015-10-11 01:01:04 EDT
Created attachment 1081751 [details]
File: cgroup
Comment 3 Ludek Bartek 2015-10-11 01:01:06 EDT
Created attachment 1081752 [details]
File: core_backtrace
Comment 4 Ludek Bartek 2015-10-11 01:01:08 EDT
Created attachment 1081753 [details]
File: dso_list
Comment 5 Ludek Bartek 2015-10-11 01:01:10 EDT
Created attachment 1081754 [details]
File: environ
Comment 6 Ludek Bartek 2015-10-11 01:01:11 EDT
Created attachment 1081755 [details]
File: exploitable
Comment 7 Ludek Bartek 2015-10-11 01:01:13 EDT
Created attachment 1081756 [details]
File: limits
Comment 8 Ludek Bartek 2015-10-11 01:01:15 EDT
Created attachment 1081757 [details]
File: maps
Comment 9 Ludek Bartek 2015-10-11 01:01:17 EDT
Created attachment 1081758 [details]
File: open_fds
Comment 10 Ludek Bartek 2015-10-11 01:01:18 EDT
Created attachment 1081759 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-11-04 05:12:57 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora Update System 2015-11-21 07:17:10 EST
audacity-2.1.2-0.7.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-51664dda77
Comment 13 Fedora End Of Life 2015-12-02 10:39:08 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Fedora Update System 2015-12-04 05:59:29 EST
audacity-2.1.2-0.7.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4320723725
Comment 15 Fedora Update System 2015-12-04 12:20:31 EST
audacity-2.1.2-0.7.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update audacity'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4320723725
Comment 16 Fedora Update System 2015-12-18 04:58:50 EST
audacity-2.1.2-0.7.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-22 17:07:14 EST
audacity-2.1.2-0.7.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.